package com.yonge.cooleshow.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import io.swagger.annotations.ApiModelProperty;

/**
 * 对应数据库表(contract_template):
 */
public class ContractTemplate {

	@ApiModelProperty(value = "",required = false)
	private Integer id;
	
	@ApiModelProperty(value = "协议名称",required = false)
	private String name;
	
	@ApiModelProperty(value = "协议类型",required = false)
	private String type;
	
	@ApiModelProperty(value = "协议内容",required = false)
	private String contractTemplateContent;
	
	@ApiModelProperty(value = "原始协议文件url",required = false)
	private String origanalFileUrl;
	
	@ApiModelProperty(value = "协议号",required = false)
	private String contractNo;
	
	@ApiModelProperty(value = "是否启用",required = false)
	private boolean status;
	
	@ApiModelProperty(value = "版本号",required = false)
	private Integer version;
	
	@ApiModelProperty(value = "最后修改人",required = false)
	private Long modifyBy;
	
	@ApiModelProperty(value = "最后修改时间",required = false)
	private java.util.Date updateTime;
	
	@ApiModelProperty(value = "创建时间",required = false)
	private java.util.Date createTime;
	
	@ApiModelProperty(value = "甲方",required = false)
	private String owner;
	
	public ContractTemplate setId(Integer id){
		this.id = id;
		return this;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public ContractTemplate setName(String name){
		this.name = name;
		return this;
	}
	
	public String getName(){
		return this.name;
	}
			
	public ContractTemplate setType(String type){
		this.type = type;
		return this;
	}
	
	public String getType(){
		return this.type;
	}
			
	public ContractTemplate setContractTemplateContent(String contractTemplateContent){
		this.contractTemplateContent = contractTemplateContent;
		return this;
	}
	
	public String getContractTemplateContent(){
		return this.contractTemplateContent;
	}
			
	public ContractTemplate setOriganalFileUrl(String origanalFileUrl){
		this.origanalFileUrl = origanalFileUrl;
		return this;
	}
	
	public String getOriganalFileUrl(){
		return this.origanalFileUrl;
	}
			
	public ContractTemplate setContractNo(String contractNo){
		this.contractNo = contractNo;
		return this;
	}
	
	public String getContractNo(){
		return this.contractNo;
	}
			
	public ContractTemplate setStatus(boolean status){
		this.status = status;
		return this;
	}
	
	public boolean getStatus(){
		return this.status;
	}
			
	public ContractTemplate setVersion(Integer version){
		this.version = version;
		return this;
	}
	
	public Integer getVersion(){
		return this.version;
	}
			
	public ContractTemplate setModifyBy(Long modifyBy){
		this.modifyBy = modifyBy;
		return this;
	}
	
	public Long getModifyBy(){
		return this.modifyBy;
	}
			
	public ContractTemplate setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
		return this;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public ContractTemplate setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
		return this;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public ContractTemplate setOwner(String owner){
		this.owner = owner;
		return this;
	}
	
	public String getOwner(){
		return this.owner;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
